/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package unikl.disco.demos;


import java.util.logging.ConsoleHandler;
import java.util.logging.Filter;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.LogManager;
import java.util.logging.LogRecord;
import java.util.logging.Logger;
import javax.swing.JDialog;

import unikl.disco.math.functions.FunctionPlot;
import unikl.disco.misc.LogFormatter;
import unikl.disco.nc.Curve;

class LogFilter implements Filter {
	public boolean isLoggable(LogRecord record) {
		if(record.getLoggerName().startsWith("sun.awt") ||
				record.getLoggerName().startsWith("java.") ||
				record.getLoggerName().startsWith("javax."))
		{
			return false;
		}

		return true;
	}
}

public class CurvePlotDemo extends JDialog {
	public static void main(final String[] args) {
		LogManager.getLogManager().reset();
		Logger log = Logger.getLogger("");
		log.setLevel(Level.FINER);
		log.setFilter(new LogFilter());
		Handler shnd = new ConsoleHandler();
		shnd.setFilter(new LogFilter());
		shnd.setFormatter(new LogFormatter());
		shnd.setLevel(Logger.getLogger("").getLevel());
		Logger.getLogger("").addHandler(shnd);
		// we're not debugging that at the moment
		Logger.getLogger("AffineCurveRenderer").setLevel(Level.INFO);

		FunctionPlot demo = new FunctionPlot("Plot Demo");

		log.info("Generating curves...");

		Curve c1 = Curve.createRateLatency(42.0, 2.0);
		demo.addSeries(c1);

		Curve c2 = Curve.createTokenBucket(23, 0.5);
		demo.addSeries(c2);

		demo.setVisible(true);
		System.out.println("Exiting normally.");
	}
}