/* StdOutErrLevel: logging levels for standard error and standard output
 *
 * taken from:
 *  http://blogs.sun.com/nickstephen/entry/java_redirecting_system_out_and
 *
 * @author: Nicos Gollan <gollan@informatik.uni-kl.de>
 */

package unikl.disco.misc;

import java.io.InvalidObjectException;
import java.io.ObjectStreamException;
import java.util.logging.Level;

/**
 *
 * @author ngollan
 */
public class StdOutErrLevel extends Level {
	private StdOutErrLevel(String name, int value) {
		super(name, value);
	}

	public static Level STDOUT = new StdOutErrLevel("STDOUT", Level.WARNING.intValue()+53);
	public static Level STDERR = new StdOutErrLevel("STDERR", Level.SEVERE.intValue()+54);
	public static Level RESULT = new StdOutErrLevel("RESULT", Level.SEVERE.intValue()+55);

	protected Object readResolve() throws ObjectStreamException {
		if(this.intValue() == STDOUT.intValue())
			return STDOUT;
		if(this.intValue() == STDERR.intValue())
			return STDERR;
		if(this.intValue() == RESULT.intValue())
			return RESULT;

		throw new InvalidObjectException("Unknown instance: " + this);
	}
}
